$(document).ready(function(){

  $('.js-copy-action').css('cursor', 'pointer');
  $('.js-copy-action').on('click', function (event) {
    event.preventDefault();

    var content = '';
    if($(this).siblings('.js-copy-content').length > 0){
      content = $(this).siblings('.js-copy-content');
    }else{
      content = $('.js-copy-content');
    }

    copyText(content);
    msg = true ? "COPIADO" : "NÃO COPIADO";

    function feedbackOut() {
      $('.js-copy-feedback').fadeOut('fast', function () {
        $(this).remove();
      });
    }

    feedbackOut();
    $(this).append('<span class="js-copy-feedback">' + msg + '</p>');
    $('.js-copy-feedback').css({
      'display': 'none',
      'font-family': 'sans-serif',
      'white-space': 'nowrap',
      'font-size': '9px',
      'letter-spacing': '1px',
      'padding': '5px',
      'position': 'absolute',
      'z-index': '10',
      'background': 'rgba(0,0,0,.8)',
      'color': '#fff',
      'left': '50%',
      'transform': 'translatex(-50%)',
      'bottom': '-23px'
    });
    $('.js-copy-feedback').fadeIn('fast');
    setTimeout(function () {
      feedbackOut();
    }, 700);

  }); // Fim js-copy-action.click

  function copyText(element) {
    $('body').append($('<input>').addClass('copia').css({
      'opacity': '0',
      'height': '0',
      'padding': '0',
      'border': 'none',
      'outline': 'none'
    }));
    var text = (element.text()) ? element.text() : element.val();
    $('.copia').val(text);
    $('.copia').select();

    try {
      var successful = document.execCommand('copy');
      element.blur();
      // var msg = successful ? "URL Copiada!" : "Erro: A URL não foi copiada.";
      // alert(msg);
      copied = true;
    } catch (err) {
      // alert("Erro: A URL não foi copiada, tente selecionar e usar Crtl + C.");
      copied = false;
    }

    $('.copia').remove();
    return copied;
  }

});